---
title: "Get the public link · Invoices · COUNT Partner API"
description: "Returns a shareable public link for the invoice, creating the public token if needed. GET /partners/invoices/{uuid}/public-link"
canonical: "https://developers.getcount.com/reference/invoices/get-invoice-public-link"
source: "https://developers.getcount.com/reference/invoices/get-invoice-public-link"
---
[Invoices](https://developers.getcount.com/reference/invoices) / Get the public link

# Get the public link

GET `/partners/invoices/{uuid}/public-link`

Returns a shareable public link for the invoice, creating the public token if needed.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=GET&path=%2Fpartners%2Finvoices%2F%7Buuid%7D%2Fpublic-link)

[Credit Memos API](https://developers.getcount.com/reference/credit-memo) [Customers API](https://developers.getcount.com/reference/customers) [Products & Services API](https://developers.getcount.com/reference/products-and-services) [Transactions API](https://developers.getcount.com/reference/transactions)

#### Path parameters

`uuid` uuid required

The UUID of the invoice.

#### Responses

`200` The public token and URL.

`404` Invoice not found.

[Previous POST Send an invoice](https://developers.getcount.com/reference/invoices/send-invoice) [Next GET Get audit log](https://developers.getcount.com/reference/invoices/get-invoice-audit-log)

GET `https://api.getcount.com/partners/invoices/{uuid}/public-link`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'GET';
const signingPath = '/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/public-link';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/public-link`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "data": {
    "publicToken": "pub_3fa85f64",
    "publicUrl": "https://app.getcount.com/public/invoice-estimate/pub_3fa85f64"
  }
}
```
